<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>discover: /home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/conf.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.4.2 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="dirs.html">Directories</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="globals.html">Globals</a></div>
<div class="nav">
<a class="el" href="dir_000002.html">lib</a></div>
<h1>conf.c File Reference</h1>Configuration handling (including XML parsing). <a href="#_details">More...</a>
<p>
<code>#include "config.h"</code><br>
<code>#include &lt;assert.h&gt;</code><br>
<code>#include &lt;string.h&gt;</code><br>
<code>#include &lt;expat.h&gt;</code><br>
<code>#include &lt;<a class="el" href="discover_8h-source.html">discover/discover.h</a>&gt;</code><br>
<code>#include &lt;<a class="el" href="discover-conf_8h-source.html">discover/discover-conf.h</a>&gt;</code><br>
<code>#include &lt;<a class="el" href="discover-xml_8h-source.html">discover/discover-xml.h</a>&gt;</code><br>
<code>#include &lt;discover/load-url.h&gt;</code><br>
<code>#include &lt;discover/url-xml.h&gt;</code><br>
<code>#include &lt;discover/utils.h&gt;</code><br>

<p>
<a href="conf_8c-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0" doxytag="conf.c::dirent"></a>
#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>dirent</b>&nbsp;&nbsp;&nbsp;direct</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a1" doxytag="conf.c::NAMLEN"></a>
#define&nbsp;</td><td class="memItemRight" valign="bottom"><b>NAMLEN</b>(d)&nbsp;&nbsp;&nbsp;(d)-&gt;d_namlen</td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="conf_8c.html#a33">state</a> { <b>START</b>, 
<b>BUSSCAN</b>, 
<b>DATA_SOURCES</b>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="conf_8c.html#a34">scan_flag</a> { <b>SCAN_NEVER</b>, 
<b>SCAN_DEFAULT</b>
 }</td></tr>

<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="conf_8c.html#a16">_real_discover_conf_get_bus_map</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="conf_8c.html#a17">_real_discover_conf_get_bus_map_by_name</a> (char *name, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga0">discover_conf_load</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga1">discover_conf_name_to_bus</a> (char *name, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga2">discover_conf_get_full_bus_map</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga3">discover_conf_get_bus_map_by_name</a> (char *name, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga4">discover_conf_get_bus_map</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga5">discover_conf_insert_url</a> (char *url, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga6">discover_conf_append_url</a> (char *url, <a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__types.html#ga7">discover_xml_url_t</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga7">discover_conf_get_urls</a> (<a class="el" href="structdiscover__error.html">discover_error_t</a> *status)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga8">discover_conf_free</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga9">discover_conf_get_bus_name</a> (<a class="el" href="group__types.html#ga16">discover_bus_t</a> bus)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__conf.html#ga10">discover_conf_get_filetype_name</a> (<a class="el" href="group__types.html#ga17">discover_filetype_t</a> filetype)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Configuration handling (including XML parsing). 
<p>
Configuration-related data is handled here. This file is responsible for loading and parsing the XML data read from the configuration file. This file also holds the routines that are responsible for altering the URL list as requested by the caller. 
<p>
Definition in file <a class="el" href="conf_8c-source.html">conf.c</a>.<hr><h2>Enumeration Type Documentation</h2>
<a class="anchor" name="a34" doxytag="conf.c::scan_flag"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">enum <a class="el" href="conf_8c.html#a34">scan_flag</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Define the values for a scannable bus. 
<p>
Definition at line <a class="el" href="conf_8c-source.html#l00093">93</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.    </td>
  </tr>
</table>
<a class="anchor" name="a33" doxytag="conf.c::state"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top">enum <a class="el" href="url-xml_8c.html#a22">state</a>          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Describe the current state within the XML structure. 
<p>
Definition at line <a class="el" href="conf_8c-source.html#l00090">90</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.    </td>
  </tr>
</table>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="a16" doxytag="conf.c::_real_discover_conf_get_bus_map"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a>* _real_discover_conf_get_bus_map           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="group__types.html#ga16">discover_bus_t</a>&nbsp;</td>
          <td class="mdname" nowrap> <em>bus</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>status</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Function that loads the bus map<p>
The "real" get_bus_map functions don't call conf_load(), which is important to avoid infinite loops. 
<p>
Definition at line <a class="el" href="conf_8c-source.html#l00154">154</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="discover_8h-source.html#l00157">BUS_COUNT</a>, <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, and <a class="el" href="group__types.html#gga15a20">DISCOVER_EBUSNOTFOUND</a>.
<p>
Referenced by <a class="el" href="conf_8c-source.html#l00168">_real_discover_conf_get_bus_map_by_name()</a>.    </td>
  </tr>
</table>
<a class="anchor" name="a17" doxytag="conf.c::_real_discover_conf_get_bus_map_by_name"></a><p>
<table class="mdTable" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"><a class="el" href="structdiscover__bus__map.html">discover_bus_map_t</a>* _real_discover_conf_get_bus_map_by_name           </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">char *&nbsp;</td>
          <td class="mdname" nowrap> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="md" nowrap align="right"></td>
          <td class="md"></td>
          <td class="md" nowrap><a class="el" href="structdiscover__error.html">discover_error_t</a> *&nbsp;</td>
          <td class="mdname" nowrap> <em>status</em></td>
        </tr>
        <tr>
          <td class="md"></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
<table cellspacing="5" cellpadding="0" border="0">
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Internal function that really loads the bus map 
<p>
Definition at line <a class="el" href="conf_8c-source.html#l00168">168</a> of file <a class="el" href="conf_8c-source.html">conf.c</a>.
<p>
References <a class="el" href="conf_8c-source.html#l00154">_real_discover_conf_get_bus_map()</a>, <a class="el" href="discover_8h-source.html#l00108">discover_error::code</a>, and <a class="el" href="conf_8c-source.html#l00477">discover_conf_name_to_bus()</a>.
<p>
Referenced by <a class="el" href="conf_8c-source.html#l00509">discover_conf_get_bus_map_by_name()</a>.    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Thu Jul 28 03:38:00 2005 for discover by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.2 </small></address>
</body>
</html>
